#pragma once
#include <stdint.h>
#include <stddef.h>

typedef uint8_t   u8;
// typedef char16_t  c16;
typedef uint16_t  u16;
typedef int16_t  i16;
typedef int32_t   b32;
typedef int32_t   i32;
typedef uint32_t  u32;
typedef uint64_t  u64;
typedef float     f32;
typedef double    f64;
typedef uintptr_t uptr;
typedef char      byte;
typedef ptrdiff_t size;
typedef size_t    usize;

typedef Vector2 Position;

typedef struct Size {
    float width;            // Rectangle width
    float height;           // Rectangle height
} Size;

typedef struct Rect {
    Position position;
    Size size;
} Rect;

typedef union {
    Rect components;
    Rectangle rect;
} RectU;
